<?php


namespace App\Http\Controllers\Api;


use App\Http\logic\api\SendCodeLogic;
use App\Inter\SendCodeInterFace;

class KmiSendController implements SendCodeInterFace
{
    public function send($phone, $ip, $UserID, $Content)
    {

        $logic = new SendCodeLogic();

        if ($logic->kmiSend($phone, $ip, $UserID,$Content) === false) {
            return apiReturnFail($logic->getError());
        }

        return apiReturnSuc();
    }
}
